Summary:	Tool to compute (dis)similarity between two or more images
Summary(pl.UTF-8):	Narzędzie do obliczania (nie)podobieństwa dwóch lub większej liczby obrazów
Name:		dssim2
Version:	3.2.0
Release:	1
License:	AGPL v3+ or commercial
Group:		Applications/Graphics
#Source0Download: https://github.com/pornel/dssim/releases
Source0:	https://github.com/pornel/dssim/archive/%{version}/dssim-%{version}.tar.gz
# Source0-md5:	64e777cdd859a9a556526a2ec69aef9b
# cd dssim-%{version}
# cargo vendor
# cd ..
# tar cJf dssim-vendor-%{version}.tar.xz dssim-%{version}/{vendor,Cargo.lock}
Source1:	dssim-vendor-%{version}.tar.xz
# Source1-md5:	96943aeffac9afe4f4ab4198d04f3e0b
URL:		https://kornel.ski/dssim
BuildRequires:	cargo
%ifarch %{ix86} %{x8664} x32
BuildRequires:	nasm
%endif
BuildRequires:	rpmbuild(macros) >= 2.004
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	dssim < 2
ExclusiveArch:	%{x8664} %{ix86} x32 aarch64 armv6hl armv7hl armv7hnl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool computes (dis)similarity between two or more PNG images
using an algorithm approximating human vision.

Comparison is done using the SSIM algorithm at multiple weighed
resolutions.

%description -l pl.UTF-8
To narzędzie oblicza (nie)podobieństwo dwóch lub większej liczby
obrazów PNG przy użyciu algorytmu przybliżającego ludzkie widzenie.

Porównywanie jest wykonywane algorytmem SSIM z wieloma ważonymi
rozdzielczościami.

%prep
%setup -q -n dssim-%{version} -b1

# use our offline registry
export CARGO_HOME="$(pwd)/.cargo"

mkdir -p "$CARGO_HOME"
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'

[source.vendored-sources]
directory = '$PWD/vendor'
EOF

%build
export CARGO_HOME="$(pwd)/.cargo"

%cargo_build --frozen

%install
rm -rf $RPM_BUILD_ROOT

export CARGO_HOME="$(pwd)/.cargo"

%cargo_install --frozen \
	--path . \
	--root $RPM_BUILD_ROOT%{_prefix}

%{__rm} $RPM_BUILD_ROOT%{_prefix}/.crates.toml
%{__rm} $RPM_BUILD_ROOT%{_prefix}/.crates2.json

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/dssim
%changelog
* Tue Mar 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dssim2.git;a=log;h=master

* Tue Mar 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 69a95dc
- updated to 3.2.0
- nasm-rs-x32 patch seems obsolete

* Sat Feb 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 832db21
- restored Obsoletes, it refers to dssim *tool*, not library

* Wed Feb 23 2022 Jan Rękorajski <baggins@pld-linux.org> 0131577
- do not obsolete a library if not providing it

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> e2c9d3c
- BRs for tar.xz source

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> a3816de
- macros for %cargo*

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> 2726e75
- attempt at adding support for x32 target in nasm compiled sources

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> a184185
- BR: nasm on x86 (for avx/sse asm in mozjpeg)

* Mon Jan 24 2022 Jan Palus <atler@pld-linux.org> 5e1f7c6
- use rust macros

* Tue Dec 28 2021 Jakub Bogusz <qboosh@pld-linux.org> fcfcef6
- disable debugsource packages, updated archs list

* Tue Dec 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 48a35a4
- updated to 3.0.2

* Thu Apr 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 503f6f6
- updated to 2.10.0
- add vendored creates as additional source for offline build

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> a0b2520
- updated to 2.9.4
- packaging as dssim2 because of rust rewrite regressions (archs limited to x86* and no x32 ABI; no C library)

* Sat Jul 29 2017 Jakub Bogusz <qboosh@pld-linux.org> b6b0beb
- pass libdir to meson

* Fri Jul 28 2017 Jakub Bogusz <qboosh@pld-linux.org> d5b5655
- new

